Package org.bukkit.block.data.type

# Interface Cake

All Superinterfaces:
  `BlockData`, `Cloneable`

public interface Cake extends BlockData
'bites' represents the amount of bites which have been taken from this slice of cake.
A value of 0 indicates that the cake has not been eaten, whilst a value of `getMaximumBites()` indicates that it is all gone :(

## Method Summary

Modifier and Type
Method
Description
`int`
`getBites()`
Gets the value of the 'bites' property.
`int`
`getMaximumBites()`
Gets the maximum allowed value of the 'bites' property.
`void`
`setBites(int bites)`
Sets the value of the 'bites' property.

### Methods inherited from interface org.bukkit.block.data.BlockData

`clone, getAsString, getAsString, getMaterial, getSoundGroup, matches, merge`

## Method Details

### getBites

int getBites()
Gets the value of the 'bites' property.

Returns:
  the 'bites' value

### setBites

void setBites(int bites)
Sets the value of the 'bites' property.

Parameters:
  `bites` - the new 'bites' value

### getMaximumBites

int getMaximumBites()
Gets the maximum allowed value of the 'bites' property.

Returns:
  the maximum 'bites' value